Loading...
Searching...
No Matches
getf2: LU panel factorization
Dense LA » Linear system solvers » General matrices: LU » Auxiliary routines

## Functions

magma_int_t | magma_cgetf2_gpu (magma_int_t m, magma_int_t n, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_int_t *ipiv, magma_queue_t queue, magma_int_t *info)
| CGETF2 computes an LU factorization of a general m-by-n matrix A using partial pivoting with row interchanges.
magma_int_t | magma_dgetf2_gpu (magma_int_t m, magma_int_t n, magmaDouble_ptr dA, magma_int_t ldda, magma_int_t *ipiv, magma_queue_t queue, magma_int_t *info)
| DGETF2 computes an LU factorization of a general m-by-n matrix A using partial pivoting with row interchanges.
magma_int_t | magma_sgetf2_gpu (magma_int_t m, magma_int_t n, magmaFloat_ptr dA, magma_int_t ldda, magma_int_t *ipiv, magma_queue_t queue, magma_int_t *info)
| SGETF2 computes an LU factorization of a general m-by-n matrix A using partial pivoting with row interchanges.
magma_int_t | magma_zgetf2_gpu (magma_int_t m, magma_int_t n, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_int_t *ipiv, magma_queue_t queue, magma_int_t *info)
| ZGETF2 computes an LU factorization of a general m-by-n matrix A using partial pivoting with row interchanges.

## Detailed Description

## Function Documentation

## magma_cgetf2_gpu()

magma_int_t magma_cgetf2_gpu | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t * | ipiv,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

CGETF2 computes an LU factorization of a general m-by-n matrix A using partial pivoting with row interchanges.

The factorization has the form A = P * L * U where P is a permutation matrix, L is lower triangular with unit diagonal elements (lower trapezoidal if m > n), and U is upper triangular (upper trapezoidal if m < n).

This is the right-looking Level 2 BLAS version of the algorithm.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0 and N <= 1024. On CUDA architecture 1.x cards, N <= 512.
  [in,out] | dA | COMPLEX array, dimension (LDDA,N) On entry, the m by n matrix to be factored. On exit, the factors L and U from the factorization A = P*L*U; the unit diagonal elements of L are not stored.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).
  [out] | ipiv | INTEGER array, dimension (min(M,N)) The pivot indices; for 1 <= i <= min(M,N), row i of the matrix was interchanged with row IPIV(i).
  [in] | queue | magma_queue_t Queue to execute in.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value
  - > 0: if INFO = k, U(k,k) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

## magma_dgetf2_gpu()

magma_int_t magma_dgetf2_gpu | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t * | ipiv,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

DGETF2 computes an LU factorization of a general m-by-n matrix A using partial pivoting with row interchanges.

The factorization has the form A = P * L * U where P is a permutation matrix, L is lower triangular with unit diagonal elements (lower trapezoidal if m > n), and U is upper triangular (upper trapezoidal if m < n).

This is the right-looking Level 2 BLAS version of the algorithm.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0 and N <= 1024. On CUDA architecture 1.x cards, N <= 512.
  [in,out] | dA | DOUBLE PRECISION array, dimension (LDDA,N) On entry, the m by n matrix to be factored. On exit, the factors L and U from the factorization A = P*L*U; the unit diagonal elements of L are not stored.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).
  [out] | ipiv | INTEGER array, dimension (min(M,N)) The pivot indices; for 1 <= i <= min(M,N), row i of the matrix was interchanged with row IPIV(i).
  [in] | queue | magma_queue_t Queue to execute in.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value
  - > 0: if INFO = k, U(k,k) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

## magma_sgetf2_gpu()

magma_int_t magma_sgetf2_gpu | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t * | ipiv,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

SGETF2 computes an LU factorization of a general m-by-n matrix A using partial pivoting with row interchanges.

The factorization has the form A = P * L * U where P is a permutation matrix, L is lower triangular with unit diagonal elements (lower trapezoidal if m > n), and U is upper triangular (upper trapezoidal if m < n).

This is the right-looking Level 2 BLAS version of the algorithm.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0 and N <= 1024. On CUDA architecture 1.x cards, N <= 512.
  [in,out] | dA | REAL array, dimension (LDDA,N) On entry, the m by n matrix to be factored. On exit, the factors L and U from the factorization A = P*L*U; the unit diagonal elements of L are not stored.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).
  [out] | ipiv | INTEGER array, dimension (min(M,N)) The pivot indices; for 1 <= i <= min(M,N), row i of the matrix was interchanged with row IPIV(i).
  [in] | queue | magma_queue_t Queue to execute in.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value
  - > 0: if INFO = k, U(k,k) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

## magma_zgetf2_gpu()

magma_int_t magma_zgetf2_gpu | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t * | ipiv,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

ZGETF2 computes an LU factorization of a general m-by-n matrix A using partial pivoting with row interchanges.

The factorization has the form A = P * L * U where P is a permutation matrix, L is lower triangular with unit diagonal elements (lower trapezoidal if m > n), and U is upper triangular (upper trapezoidal if m < n).

This is the right-looking Level 2 BLAS version of the algorithm.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0 and N <= 1024. On CUDA architecture 1.x cards, N <= 512.
  [in,out] | dA | COMPLEX_16 array, dimension (LDDA,N) On entry, the m by n matrix to be factored. On exit, the factors L and U from the factorization A = P*L*U; the unit diagonal elements of L are not stored.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).
  [out] | ipiv | INTEGER array, dimension (min(M,N)) The pivot indices; for 1 <= i <= min(M,N), row i of the matrix was interchanged with row IPIV(i).
  [in] | queue | magma_queue_t Queue to execute in.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value
  - > 0: if INFO = k, U(k,k) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.